Unit taee9r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEE9R_p;

function taee9r: String;

implementation

function taee9r: String;
var
J,I,N,MM,_i,M,IERR :Integer;
RLB,RUB :Real;
V :Array [0..14] of Real;
EV :Array [0..2] of Real;
RAB1 :Array [0..39] of Real;
IRAB1 :Array [0..2] of Integer;
const
A :Array [0..9] of Real = ( 0.0,1.0,1.0,1.0,1.0,0.0,0.0,0.0,0.0,0.0 );
begin
for _i:=0 to 39 do
 RAB1[_i] := 0.0e0;  //  
for _i:=0 to 2 do
EV[_i] := 0.0e0;  //  
for _i:=0 to 14 do
V[_i] := 0.0e0;  //  
Result := '';  {   }
Result := Result + Format('%s',
 [#$0D#$0A + ' BCEHE HEKOTOPX COCTBEHHX HAEH  COOTBETCTBX COCTBEHHX' + #$0D#$0A +
 ' BEKTOPOB BEECTBEHHO CMMETPECKO TPEXAOHAHO MATP' + #$0D#$0A +
 ' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',
 [A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 5;
MM := 3;
RLB := -2.0;
RUB := 0.0;
AEE9R(N,A,V,EV,RLB,RUB,MM,M,IRAB1,RAB1,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' PETAT']) + #$0D#$0A; 
Result := Result + Format('%s',[#$0D#$0A + ' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',
 [A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' EV' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' V' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f ',
 [V[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taee9r',Result);  {     taee9r.res }
exit;
end;

end.
